Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class UncNode

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.AbstractNode
          edu.msu.cme.rdp.classifier.comparison.UncNode

All Implemented Interfaces:
  ComparisonBrowserNode, Taxon

    public class UncNode

extends AbstractNode

Nested Class Summary
`(package private) class` | `UncNode.DetailIterator` An Iterator of the sequences assigned to the node
`(package private) class` | `UncNode.SampleDetailIterator`

Nested classes/interfaces inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode
`AbstractNode.LineageIterator, AbstractNode.TaxonIterator`

Constructor Summary
`UncNode(AbstractNode p)` Creates a new instance of UncNode

Method Summary
`void` | `changeConfidence(SigCalculator cal)`
`ComparisonBrowserNode` | `findNode(int id)`
`java.util.Iterator` | `getDetailIterator(float conf)`
`(package private) AbstractNode` | `getFirstChild()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRank()`
`int` | `getTaxid()`

Methods inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode
`addSibling, getDoubleSignificance, getIndent, getLineageIterator, getNextSibling, getParent, getS1Count, getS2Count, getSignificance, getTaxonIterator, incS1Count, incS2Count, resetCount, setIndent, setParent, setSignificance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncNode

    UncNode(AbstractNode p)

  Creates a new instance of UncNode

Method Detail

### getFirstChild

    AbstractNode getFirstChild()

  Specified by:
    `getFirstChild` in class `AbstractNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Taxon`
  Specified by:
    `getName` in class `AbstractNode`

### getRank

    public java.lang.String getRank()

  Specified by:
    `getRank` in interface `Taxon`
  Specified by:
    `getRank` in class `AbstractNode`

### getTaxid

    public int getTaxid()

  Specified by:
    `getTaxid` in interface `Taxon`
  Specified by:
    `getTaxid` in class `AbstractNode`

### findNode

    public ComparisonBrowserNode findNode(int id)

  Specified by:
    `findNode` in interface `ComparisonBrowserNode`
  Specified by:
    `findNode` in class `AbstractNode`

### changeConfidence

    public void changeConfidence(SigCalculator cal)

  Specified by:
    `changeConfidence` in interface `ComparisonBrowserNode`
  Specified by:
    `changeConfidence` in class `AbstractNode`

### getDetailIterator

    public java.util.Iterator getDetailIterator(float conf)

  Specified by:
    `getDetailIterator` in interface `ComparisonBrowserNode`
  Specified by:
    `getDetailIterator` in class `AbstractNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD